Loading...
Searching...
No Matches
pappso::specpeptidoms::Alignment Struct Reference

`#include <semiglobalalignment.h>`

## Public Member Functions

void | reset ()
| reinitialize to default score_values
QString | getPeptideString (const QString &protein_sequence) const
| convenient function to get peptide sequence from location
double | getNonAlignedMass () const
| convenient function to get the remaining non explained mass shift
std::size_t | getPositionStart () const
| get position of start on the protein sequence

## Public Attributes

std::vector< std::size_t > | peaks
PeptideModel | m_peptideModel
int | score = 0
double | begin_shift = 0.0
double | end_shift = 0.0
std::vector< double > | shifts
std::size_t | SPC = 0
std::size_t | beginning = 0
std::size_t | end = 0

## Detailed Description

Definition at line 56 of file semiglobalalignment.h.

## Member Function Documentation

## getNonAlignedMass()

double pappso::specpeptidoms::Alignment::getNonAlignedMass | ( |  | ) | const

convenient function to get the remaining non explained mass shift

non explained mass delta between the peptide chemical formula and the observed experimental spectrum precursor

Definition at line 66 of file semiglobalalignment.cpp.

{
double sum_of_elems = std::accumulate(shifts.begin(), shifts.end(), 0);
return begin_shift + sum_of_elems + end_shift;
}
pappso::specpeptidoms::Alignment::shifts
std::vector< double > shifts
Definition semiglobalalignment.h:85
pappso::specpeptidoms::Alignment::end_shift
double end_shift
Definition semiglobalalignment.h:83
pappso::specpeptidoms::Alignment::begin_shift
double begin_shift
Definition semiglobalalignment.h:81

References begin_shift, end_shift, and shifts.

Referenced by pappso::cbor::psm::PsmSpecPeptidOmsScan::storeAlignment().

## getPeptideString()

QString pappso::specpeptidoms::Alignment::getPeptideString | ( | const QString & | protein_sequence | ) | const

convenient function to get peptide sequence from location

Definition at line 60 of file semiglobalalignment.cpp.

{
return protein_sequence.mid(beginning, end - beginning);
}
pappso::specpeptidoms::Alignment::end
std::size_t end
Definition semiglobalalignment.h:88
pappso::specpeptidoms::Alignment::beginning
std::size_t beginning
Definition semiglobalalignment.h:87

References beginning, and end.

## getPositionStart()

std::size_t pappso::specpeptidoms::Alignment::getPositionStart | ( |  | ) | const

get position of start on the protein sequence

Definition at line 74 of file semiglobalalignment.cpp.

{
return beginning;
}

References beginning.

Referenced by pappso::cbor::psm::PsmSpecPeptidOmsScan::storeAlignment().

## reset()

void pappso::specpeptidoms::Alignment::reset | ( |  | ) |

reinitialize to default score_values

Definition at line 45 of file semiglobalalignment.cpp.

{
peaks.clear();
m_peptideModel.reset();
score = 0;
begin_shift = 0.0;
end_shift = 0.0;
shifts.clear();
SPC = 0;
beginning = 0;
end = 0;
}
pappso::specpeptidoms::Alignment::SPC
std::size_t SPC
Definition semiglobalalignment.h:86
pappso::specpeptidoms::Alignment::score
int score
Definition semiglobalalignment.h:80
pappso::specpeptidoms::Alignment::peaks
std::vector< std::size_t > peaks
Definition semiglobalalignment.h:77
pappso::specpeptidoms::Alignment::m_peptideModel
PeptideModel m_peptideModel
Definition semiglobalalignment.h:78

References begin_shift, beginning, end, end_shift, m_peptideModel, peaks, score, shifts, and SPC.

## Member Data Documentation

## begin_shift

double pappso::specpeptidoms::Alignment::begin_shift = 0.0

Definition at line 81 of file semiglobalalignment.h.

Referenced by getNonAlignedMass(), pappso::specpeptidoms::SemiGlobalAlignment::getPotentialMassErrors(), reset(), and pappso::cbor::psm::PsmSpecPeptidOmsScan::sequenceAlignment().

## beginning

std::size_t pappso::specpeptidoms::Alignment::beginning = 0

Definition at line 87 of file semiglobalalignment.h.

Referenced by getPeptideString(), getPositionStart(), pappso::specpeptidoms::SemiGlobalAlignment::getPotentialMassErrors(), and reset().

## end

std::size_t pappso::specpeptidoms::Alignment::end = 0

Definition at line 88 of file semiglobalalignment.h.

Referenced by getPeptideString(), pappso::specpeptidoms::SemiGlobalAlignment::getPotentialMassErrors(), reset(), and pappso::cbor::psm::PsmSpecPeptidOmsScan::sequenceAlignment().

## end_shift

double pappso::specpeptidoms::Alignment::end_shift = 0.0

Definition at line 83 of file semiglobalalignment.h.

Referenced by getNonAlignedMass(), pappso::specpeptidoms::SemiGlobalAlignment::getPotentialMassErrors(), reset(), and pappso::cbor::psm::PsmSpecPeptidOmsScan::sequenceAlignment().

## m_peptideModel

PeptideModel pappso::specpeptidoms::Alignment::m_peptideModel

Definition at line 78 of file semiglobalalignment.h.

Referenced by reset(), pappso::cbor::psm::PsmSpecPeptidOmsScan::sequenceAlignment(), and pappso::cbor::psm::PsmSpecPeptidOmsScan::storeAlignment().

## peaks

std::vector<std::size_t> pappso::specpeptidoms::Alignment::peaks

Definition at line 77 of file semiglobalalignment.h.

Referenced by reset().

## score

int pappso::specpeptidoms::Alignment::score = 0

Definition at line 80 of file semiglobalalignment.h.

Referenced by reset(), pappso::cbor::psm::PsmSpecPeptidOmsScan::sequenceAlignment(), and pappso::cbor::psm::PsmSpecPeptidOmsScan::storeAlignment().

## shifts

std::vector<double> pappso::specpeptidoms::Alignment::shifts

Definition at line 85 of file semiglobalalignment.h.

Referenced by getNonAlignedMass(), pappso::specpeptidoms::SemiGlobalAlignment::getPotentialMassErrors(), reset(), and pappso::cbor::psm::PsmSpecPeptidOmsScan::sequenceAlignment().

## SPC

std::size_t pappso::specpeptidoms::Alignment::SPC = 0

Definition at line 86 of file semiglobalalignment.h.

Referenced by reset(), pappso::cbor::psm::PsmSpecPeptidOmsScan::sequenceAlignment(), and pappso::cbor::psm::PsmSpecPeptidOmsScan::storeAlignment().

The documentation for this struct was generated from the following files:

- pappsomspp/core/processing/specpeptidoms/semiglobalalignment.h
- pappsomspp/core/processing/specpeptidoms/semiglobalalignment.cpp